Loading...
Searching...
No Matches
XrdOucNSWalk::NSEnt Struct Reference

`#include <XrdOucNSWalk.hh>`

Collaboration diagram for XrdOucNSWalk::NSEnt:

## Public Types

enum | Etype { isBad = 0 , isDir , isFile , isLink , isMisc }

## Public Member Functions

| NSEnt ()
| ~NSEnt ()

## Public Attributes

char * | File
char * | Link
int | Lksz
struct NSEnt * | Next
char * | Path
int | Plen
struct stat | Stat
Etype | Type

## Detailed Description

Definition at line 46 of file XrdOucNSWalk.hh.

## Member Enumeration Documentation

## Etype

enum XrdOucNSWalk::NSEnt::Etype

Enumerator
isBad |
isDir |
isFile |
isLink |
isMisc |

Definition at line 56 of file XrdOucNSWalk.hh.

{isBad = 0, isDir, isFile, isLink, isMisc};
XrdOucNSWalk::NSEnt::isDir
@ isDir
Definition XrdOucNSWalk.hh:56
XrdOucNSWalk::NSEnt::isFile
@ isFile
Definition XrdOucNSWalk.hh:56
XrdOucNSWalk::NSEnt::isBad
@ isBad
Definition XrdOucNSWalk.hh:56
XrdOucNSWalk::NSEnt::isLink
@ isLink
Definition XrdOucNSWalk.hh:56
XrdOucNSWalk::NSEnt::isMisc
@ isMisc
Definition XrdOucNSWalk.hh:56

## Constructor & Destructor Documentation

## NSEnt()

XrdOucNSWalk::NSEnt::NSEnt | ( |  | ) |

inline

Definition at line 60 of file XrdOucNSWalk.hh.

: Next(0), Path(0), Plen(0), Link(0), Lksz(0) {}
XrdOucNSWalk::NSEnt::Next
struct NSEnt * Next
Definition XrdOucNSWalk.hh:48
XrdOucNSWalk::NSEnt::Link
char * Link
Definition XrdOucNSWalk.hh:53
XrdOucNSWalk::NSEnt::Path
char * Path
Definition XrdOucNSWalk.hh:49
XrdOucNSWalk::NSEnt::Lksz
int Lksz
Definition XrdOucNSWalk.hh:54
XrdOucNSWalk::NSEnt::Plen
int Plen
Definition XrdOucNSWalk.hh:51

References Link, Lksz, Next, Path, and Plen.

## ~NSEnt()

XrdOucNSWalk::NSEnt::~NSEnt | ( |  | ) |

inline

Definition at line 61 of file XrdOucNSWalk.hh.

{if (Path) free(Path);
if (Link) free(Link);
}

References Link, and Path.

## Member Data Documentation

## File

char* XrdOucNSWalk::NSEnt::File

Definition at line 50 of file XrdOucNSWalk.hh.

Referenced by XrdFrmFileset::Refresh().

## Link

char* XrdOucNSWalk::NSEnt::Link

Definition at line 53 of file XrdOucNSWalk.hh.

Referenced by NSEnt(), ~NSEnt(), and XrdFrmFileset::Refresh().

## Lksz

int XrdOucNSWalk::NSEnt::Lksz

Definition at line 54 of file XrdOucNSWalk.hh.

Referenced by NSEnt().

## Next

struct NSEnt* XrdOucNSWalk::NSEnt::Next

Definition at line 48 of file XrdOucNSWalk.hh.

Referenced by NSEnt(), XrdCpFile::Extend(), and XrdOfsConfigCP::Init().

## Path

char* XrdOucNSWalk::NSEnt::Path

Definition at line 49 of file XrdOucNSWalk.hh.

Referenced by NSEnt(), ~NSEnt(), XrdCpFile::Extend(), and XrdOfsConfigCP::Init().

## Plen

int XrdOucNSWalk::NSEnt::Plen

Definition at line 51 of file XrdOucNSWalk.hh.

Referenced by NSEnt(), and XrdCpFile::Extend().

## Stat

struct stat XrdOucNSWalk::NSEnt::Stat

Definition at line 52 of file XrdOucNSWalk.hh.

Referenced by XrdFrmTSort::Add(), XrdCpFile::Extend(), XrdFrmFileset::Refresh(), and XrdFrmFileset::setCpyTime().

## Type

Etype XrdOucNSWalk::NSEnt::Type

Definition at line 58 of file XrdOucNSWalk.hh.

The documentation for this struct was generated from the following file:

- XrdOucNSWalk.hh